## org.apache.zookeeper
Class KeeperException.MarshallingErrorException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.zookeeper.KeeperException
                  org.apache.zookeeper.KeeperException.MarshallingErrorException

All Implemented Interfaces:
  Serializable

Enclosing class:
  KeeperException

    public static class KeeperException.MarshallingErrorException

extends KeeperException

See Also:
  `KeeperException.Code.MARSHALLINGERROR`, Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.zookeeper.KeeperException

`KeeperException.APIErrorException, KeeperException.AuthFailedException, KeeperException.BadArgumentsException, KeeperException.BadVersionException, KeeperException.Code, KeeperException.CodeDeprecated, KeeperException.ConnectionLossException, KeeperException.DataInconsistencyException, KeeperException.InvalidACLException, KeeperException.InvalidCallbackException, KeeperException.MarshallingErrorException, KeeperException.NoAuthException, KeeperException.NoChildrenForEphemeralsException, KeeperException.NodeExistsException, KeeperException.NoNodeException, KeeperException.NotEmptyException, KeeperException.OperationTimeoutException, KeeperException.RuntimeInconsistencyException, KeeperException.SessionExpiredException, KeeperException.SessionMovedException, KeeperException.SystemErrorException, KeeperException.UnimplementedException`

Constructor Summary
`KeeperException.MarshallingErrorException()`

Method Summary

Methods inherited from class org.apache.zookeeper.KeeperException
`code, create, create, create, create, getCode, getMessage, getPath, setCode`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### KeeperException.MarshallingErrorException

    public KeeperException.MarshallingErrorException()

Copyright © 2012 The Apache Software Foundation